.day_box {
    background: #fff;
    box-shadow: -1px 0px 0 0 rgb(0 0 0 / 8%), 0px -1px 0 0 rgb(0 0 0 / 8%), 1px 0px 0 0 rgb(0 0 0 / 8%);
}
/* .day_box:active {
    background: rgb(39 162 255 / 58%);
} */

.days>svg:last-child {
    box-shadow: -1px 0px 0 0 #0000001f, 0px -1px 0 0 #0000001f, 0px 1px 0 0 #00000024, inset -1px 0px 0 0 #0000001c;
}

.days {
    /* display: grid;
    grid-template-rows: auto;
    column-gap: 0px;
    box-shadow: inset -1px 0 0 0 #e0e0e0; */
}

.days-generate {
    display: grid;
    grid-template-rows: auto;
    column-gap: 0px;
    /* box-shadow: inset -1px 0 0 0 #e0e0e0; */
    /* opacity: 0; */
}

.monthName {
    box-shadow: -1px 0px 0 0 #0000001f, 0px -1px 0 0 #0000001f;
}

.dayName {
    box-shadow: 0px -1px 0 0 #0000001f;
    font-size: 0.65em;
    /* min-height: 20px; */
    text-align: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
    background-color: #eaebef78;
}


/* demo */


.calendar {
    position: relative;
    display: table;
    width: 100%;
    margin: 0 auto;
    padding: 0;
    box-sizing: border-box;
    border-radius: 5px;
}

.demo-box {
    background: #fff;
    margin: 20px auto;
    box-shadow: 0 2px 2px rgb(0 0 0 / 10%);
    border: 1px solid #eeeff1;
    border-radius: 5px;
    padding: 12px;
    box-sizing: border-box;
    width: auto;
    display: table;
}


.btn-blue {
    background-color: #27a2ff;
    font-size: 11px;
    font-weight: 700;
}

.btn-withe {
    color: #495057;
    background-color: #fff;
    box-shadow: inset 0 0 0 1px #e2e2e2;
    font-size: 11px;
    font-weight: 700;
}

button.btn-blue:hover {
    background: #1084db;
}

button.btn-blue:active {
    background: #0a63a7;
}

button.btn-withe:hover {
    background: #27a2ff;
    color: #fff;
}

button.btn-withe:active {
    background: #27a2ff;
    color: #fff;
}

button.btn-withe:hover span,
button.btn-withe:hover .st0 {
    color: #fff;
    fill: #fff;
}

button.btn-withe:active span,
button.btn-withe:active .st0 {
    color: #fff;
    fill: #fff;
}

.multi-edit-btn button:hover {
    background-color: #0091ff;
}

.multi-edit-btn button {
    background-color: #27a2ff;
    color: #fff;
    font-size: 11px;
    box-shadow: 0px 2px 2px 0 #00000029;
    border: 1px solid #1784d6;
    border-radius: 3px;
    transition: background-color ease .25s;
}


input#years {
    background-color: #ffffff;
    border: 1px solid #c4c4c4;
    color: #000;
    font-size: 11px;
    font-weight: 700;
    padding: 0px 7px;
    border-radius: 5px;
    outline: 0;
    height: 22px;
    width: 52px !important;
    position: relative;
    top: 0;
    text-align: center;
    margin: 0px 5px;
}

div.tooltip,
div.tooltip_kc,
div.tooltip_tc,
div.tooltip_con,
div.tooltip_kc_no_data {
    position: fixed;
    /* max-width: 200px; */
    height: auto;
    padding: 5px 7px;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 2px 2px rgb(0 0 0 / 25%);
    pointer-events: none;
    font-size: 11px;
    line-height: 20px;
    z-index: 9;
}

div.tt-tc-vs-kc {
    position: fixed;
    max-width: 230px;
    height: auto;
    padding: 5px 7px;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 2px 2px rgb(0 0 0 / 25%);
    pointer-events: none;
    font-size: 11px;
    line-height: 20px;
    z-index: 9;
}

span.tt-tc-vs-kc {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    width: auto;
}

span.tt-tc-vs-kc img {
    width: 4px;
    height: 14px;
    opacity: 1;
    margin-right: 8px;
    position: relative;
    top: 4px;
}

.edit_popup,
.edit_popup_multi {
    position: fixed;
    top: 0;
    width: 100%;
    max-width: 275px;
    height: auto;
    padding: 0;
    margin-top: -10px;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 2px 2px rgb(0 0 0 / 25%);
    font-size: 11px;
    line-height: 20px;
    z-index: 10;
    visibility: hidden;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto 1fr auto;
    grid-template-areas:
        "ep_top ep_top ep_top ep_top"
        "ep_content ep_content ep_content ep_content"
        "ep_footer ep_footer ep_footer ep_footer";
    transition: margin-top cubic-bezier(0.18, 0.52, 0.6, 1.01) .2s, opacity ease-in-out .15s;
}

.ep_content {
    max-height: 300px;
    overflow: auto;
}

.ep_content::-webkit-scrollbar {
    width: 3px !important;
}

.ep_content::-webkit-scrollbar-thumb {
    background: #b3b3b3 !important;
}

.ep_content::-webkit-scrollbar-track {
    background: #ffffff !important;
}

.ep_content::-webkit-scrollbar-track {
    background: #ffffff !important;
}


.popup_row {
    border-radius: 3px;
    padding: 5px 7px;
    margin: 7px 0;
    background: #24befc17;
    border: 1px solid rgb(77 160 193 / 12%);
}


.simple_popup {
    opacity: 0;
    position: absolute;
    width: 100%;
    height: auto;
    padding: 0;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 2px 2px rgb(0 0 0 / 25%);
    font-size: 11px;
    line-height: 20px;
    z-index: 10;
    display: block;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto 1fr;
    grid-template-areas:
        "sp_top sp_top"
        "sp_content sp_content";
    margin: 0;
    top: -2px;
    right: 0;
    max-width: 209px;
    visibility: hidden;
    transition: all ease-in-out .1s;
}

.show-info-legend {
    opacity: 1;
    visibility: visible;
}

.options_btns .btn-blue,
.options_btns .btn-withe {
    width: 25px;
    height: 25px;
    padding: 0;
    position: relative;
}


text.activitySymbol,
text {
    pointer-events: none;
}

.ep_top {
    grid-area: ep_top;
    display: grid;
    grid-template-columns: 1fr 27px;
    grid-template-rows: auto;
    grid-template-areas: "ep_title ep_close";
    background: #e9e9e9;
    box-sizing: border-box;
    padding: 3px 10px;
    border-radius: 5px 5px 0 0;
    font-weight: 700;
}

.sp_top {
    display: grid;
    grid-template-columns: 1fr 26px;
    grid-template-rows: auto;
    grid-template-areas: "sp_title sp_close";
    box-sizing: border-box;
    padding: 3px 10px;
    border-radius: 5px 5px 0 0;
    font-weight: 700;
    border-bottom: 1px solid #e1e2e4;
    background: #fbfbfb;
}

.sp_title {
    line-height: 25px;
}

.ep_footer {
    grid-area: ep_footer;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas:
        "ep_cancel ep_ok";
    box-sizing: border-box;
    padding: 10px;
    border-top: 1px solid #e9e9e9;
    margin-top: 5px;
}

.mini_circle {
    width: 10px;
    height: 10px;
    display: block;
    float: left;
    border-radius: 20px;
    position: relative;
    top: 5px;
    margin-right: 4px;
}

.popup_active {
    width: auto;
    height: 18px;
    display: block;
    float: left;
    border-radius: 3px;
    position: relative;
    margin-right: 4px;
    color: #fff;
    padding: 0 7px;
    line-height: 18px;
}

/* .day_box{
    transition: all ease-in-out .1s;
}
.dayshover{
    transition: all ease-in-out .25s;
} */
.selection-area {
    background: rgba(46, 115, 252, 0.11);
    border: 2px solid rgba(98, 155, 255, 0.81);
    border-radius: 0.1em;
}


.selected2 {
    opacity: .8;
}

.ep_title {
    grid-area: ep_title;
    line-height: 25px;
}

.ep_close,
.sp_close {
    text-align: right;
}

.ep_close button,
.sp_close button {
    background: transparent;
    color: #000;
    margin: 0;
    position: relative;
    top: 1px;
    right: -2px;
}

.ep_close button span,
.sp_close button span {
    font-size: 15px;
}

.ep_content {
    grid-area: ep_content;
    padding: 10px;
}

.ep_cancel {
    grid-area: ep_cancel;
}

.ep_ok {
    grid-area: ep_ok;
    text-align: right;
}

.year-calendar-box button {
    /* border: 0; */
    /* color: #fff; */
    height: 25px;
    font-size: 11px;
    border-radius: 5px;
    outline: 0;
    cursor: pointer;
}

button.btn-ok {
    background-color: #27a2ff;
    font-size: 11px;
    font-weight: 700;
}

button.btn-cancel {
    background-color: #ececec;
    color: rgb(28, 28, 28);
    font-size: 11px;
    font-weight: 700;
}

.user_calendar_navi {
    display: grid;
    grid-template-columns: 119px 1fr 1fr auto;
    grid-template-rows: 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "year_seter user_name space options_btns";
    height: 26px;
    margin-bottom: 10px;
}

.user_calendar_navi_bottom {
    display: grid;
    grid-template-columns: 145px 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    gap: 0px 0px;
    grid-template-areas: "legend user_name space options_btns";
    padding: 15px 0 3px 0;
}

.legend {
    grid-area: legend;
}

.legend-btn {
    min-width: 128px;
    text-align: left;
    line-height: 25px;
}

.legend-btn span.material-icons {
    float: right;
    position: relative;
    right: -5px;
}

.legend-box {
    background: #fdfdfd;
    opacity: 0;
    height: 0;
    display: none;
    grid-template-columns: repeat(7, auto);
    grid-template-rows: 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "legend user_name space options_btns";
    border-radius: 5px;
    transition: all ease-in-out .1s;
    padding: 0px 20px;
    border: 1px solid #ffffff;
    width: 100%;
    box-sizing: border-box;
}

.legend-box.show {
    opacity: 1;
    height: 80px;
    border: 1px solid #e0e0e0;
    margin-top: 10px;
    padding: 0px 20px;
    display: grid;
}

.legend-btn span {
    transform: rotate(0deg);
    transition: all ease .1s;
}

.legend-btn.show span {
    transform: rotate(180deg);
}

.legend-box.show .legend-item {
    opacity: 1;
}

.legend-symbol {
    width: 35px;
    height: 50px;
    border: 1px solid #e0e0e0;
    background: #fff;
    position: relative;
}

.legend-label {
    display: flex;
    justify-content: left;
    align-items: center;
    padding: 0 11px;
    font-size: 12px;
    font-weight: 700;
    line-height: 17px;
}

.legend-item {
    display: grid;
    grid-template-columns: 35px 1fr;
    grid-template-rows: 1fr;
    gap: 0px 0px;
    grid-template-areas:
        ". .";
    padding: 13px 0;
    opacity: 0;
}

.tcSymbol {
    position: absolute;
    width: 70%;
    height: 7px;
    background: #ffec01;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
}

.kcSymbol {
    position: absolute;
    width: 70%;
    height: 14px;
    background: #515c69;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
}

.wykSymbol {
    position: absolute;
    width: 70%;
    height: 14px;
    background: #5345e1;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
}

.kdSymbol {
    position: absolute;
    width: 70%;
    height: 14px;
    background: #1cc9af;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
}

.wzSymbol {
    position: absolute;
    width: 70%;
    height: 7px;
    background: #5b8dcf;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
}

.wzzSymbol {
    position: absolute;
    width: 70%;
    height: 7px;
    background: #aa876f;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
}

.baSymbol {
    position: absolute;
    width: 70%;
    height: 4px;
    background: #ff0000;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
}

.pkSymbol {
    position: absolute;
    width: 4px;
    height: 100%;
    background: #000000;
    left: 0;
    margin: auto;
    bottom: 0;
}

.kkSymbol {
    position: absolute;
    width: 4px;
    height: 100%;
    background: #ff0000;
    right: 0;
    margin: auto;
    bottom: 0;
}







.user_name {
    grid-area: user_name;
    font-size: 14px;
    font-weight: 600;
    padding: 0px 6px;
    box-sizing: border-box;
    line-height: 28px;
    text-transform: capitalize;
}

.year_seter {
    grid-area: year_seter;
}

.space {
    grid-area: space;
}

.options_btns {
    grid-area: options_btns;
    display: flex;
    flex-direction: row;
    gap: 5px;
    justify-content: space-evenly;
    align-items: flex-end;
}

.options_btns .setting-btn {
    grid-area: setting-btn;
}

.options_btns .print-btn {
    grid-area: print-btn;
}

.options_btns .info-btn {
    grid-area: info-btn;
}

.options_btns .refresh-btn {
    grid-area: refresh-btn;
}

button.minus_year,
button.plus_year {
    padding: 0px 7px;
    position: relative;
    top: 0;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input#years[type=number] {
    -moz-appearance: textfield;
    min-height: 25px;
}

/* 
.day_box:hover {
    opacity: .55;
} */
svg[name="day"]:hover {
    opacity: .5;
}

.mask,
.maskMulti {
    position: fixed;
    background: transparent;
    width: 100vw;
    height: 100%;
    z-index: 9;
    top: 0;
    left: 0;
}

#activityEdit,
#activityEditMulti {
    width: 100%;
    border-radius: 3px;
    border: 1px solid #d2d2d2;
    height: 25px;
    box-sizing: border-box;
    padding: 0px 3px;
    font-size: 11px;
    outline: 0;
}

hr {
    height: 1px;
    border: 0 !important;
    background: #e1e1e1;
    padding: 0;
    margin: 10px 0;
}

.arrow-span-right,
.arrow-span-left {
    font-size: 12px;
    padding: 0;
    margin: 0;
    position: relative;
    top: 1px;
    left: 2px;

}

.arrow-span-left {
    left: 2px;
}

.arrow-span-right {
    left: 0px;
}

#daysCalendar {
    background: #fff;
}

span.editedDayTime {
    font-weight: 600;
    padding: 5px;
    margin-left: 0;
    border-radius: 5px;
}

.edit_popup.legend-popup {
    left: 0;
    right: 0;
    margin: auto;
    top: 0;
    bottom: 0;
    height: 200px;
    width: 100%;
    max-width: 470px;
}

.activity-legend {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 26px;
    gap: 10px;
    padding: 10px;
    grid-template-areas: ". .";
}

.item-legend,
.s_work,
.s_rest,
.s_absence,
.s_parents,
.s_sick,
.s_availabilit,
.s_other {
    width: 40px;
    height: 26px;
    margin: 0;
    font-size: 13px;
    font-weight: 700;
    text-align: center;
    line-height: 25px;
}

.s_work {
    background-color: #d0e7ce;
    border: 1px solid #aecaac;
}

.s_rest {
    background: #96dcf8;
    border-color: #66afcc;
}

.s_absence {
    background-color: #fd9393;
    border-color: #dd5757;
}

.s_parents {
    background-color: #ffa6ed;
    border-color: #e682d1;
}

.s_sick {
    background-color: #e7cff3;
    border-color: #c2a2d3;
}

.s_availabilit {
    background: #fff9ad;
    border-color: #e1d971;
}

.s_other {
    background: #fca;
    border-color: #eab28c;
}

.activity-legend-item {
    display: grid;
    grid-template-columns: 40px 1fr;
    grid-template-areas:
        ". .";
    padding: 0;
}

.activity-legend-item .legend-info {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 0 0 0 7px;
    line-height: 12px;
    font-size: 10px;
    font-weight: 600;
}



.setting {
    position: absolute;
    top: -2px;
    right: 0;
    z-index: 8;
    background: rgb(252, 252, 252);
    background: linear-gradient(180deg, rgb(250 250 250) 0%, rgba(255, 255, 255, 1) 100%);
    border-radius: 3px 0 0 3px;
    box-shadow: -1px 2px 2px rgb(0 0 0 / 25%);
    font-size: 11px;
    line-height: 20px;
    visibility: hidden;
    opacity: 0;
    transition: all ease-in-out .1s;
}

.setting.settOpenPop {
    visibility: visible;
    opacity: 1;
    top: -2px;
}

.setting ul {
    padding: 10px;
    list-style: none;
}

.setting label {
    position: relative;
    padding-left: 0px;
}

.setting li {
    padding-bottom: 0;
    padding-top: 0;
}

#year_calendar input[type="checkbox"] {
    visibility: hidden;
    position: absolute;
}

label {
    cursor: pointer;
}

/* input[type="checkbox"] + label:before {
    border: 1px solid #c4c4c4;
    content: "\00a0";
    display: inline-block;
    height: 15px;
    margin: 3px 6px 0 0;
    padding: 0;
    vertical-align: top;
    width: 15px;
    border-radius: 3px;
} */
/* input[type="checkbox"]:checked + label:before {
    background: rgb(59, 153, 252);
    color: #333;
    content: url('../images/year-calendar/check.png');
    text-align: center;
    border-color: #27a2ff;
} */
/* input[type="checkbox"]:checked + label:after {
    font-weight: bold;
} */

/* input[type="checkbox"]:focus + label::before {
      outline: rgb(59, 153, 252) auto 5px;
} */
.btn-withe span.material-icons {
    color: #616161;
    /* position: relative; */
}

button.btn-withe.print-btn {
    width: auto;
}

.st0 {
    fill: #616161;
}

.settOpen .st0 {
    fill: #ffffff;
}

.settOpen {
    background: #27a2ff;
}

.settOpen span {
    color: #fff !important;
}



.user_top_navi .MuiFormGroup-root[role="radiogroup"] .MuiRadio-root,
.navi-box .MuiInputBase-input {
    padding-top: 7px;
    padding-bottom: 7px;
}

.user_top_navi {
    display: flex;
    margin: 0 auto 0 auto;
    gap: 10px;
    padding: 0;
    width: 100% !important;
    margin-bottom: 15px;
    align-items: center;
}

.user_year {
    grid-area: user_year;
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
}

.radio-selects {
    grid-area: radio-selects;
}

.top_space {
    grid-area: top_space;
}

.btn_if_change {
    grid-area: btn_if_change;
    text-align: right;

}

/* .user_top_navi .btn_if_change button {
    height: 30px;
} */

.user_top_navi input[type="number"],
.user_top_navi select {
    border: 1px solid #e0e0e0;
    border-radius: .4rem !important;
    background-color: #ffffff;
    color: #000;
    font-size: 11px;
    font-weight: 500;
    outline: 0;
    width: auto;
    line-height: 30px;
    height: 30px;
    position: relative;
    font-family: Roboto, Helvetica Neue, Arial, sans-serif;
}

.user_top_navi input[type="number"] {
    padding: 0 15px 0 10px;
    height: 30px !important;
    top: 0px;
}

.user_top_navi select {
    padding: 0 20px 0 8px;
}

.user_top_navi label {
    font-size: 11px;
    font-weight: 500;
}

input[name="type"] {
    position: relative;
    top: 2px;
}

.year_top_btn {
    width: 15px;
    height: 25px;
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto auto;
    gap: 0px 0px;
    grid-template-areas:
        "."
        ".";
    position: absolute;
    top: 1px;
    right: 3px;
    box-sizing: border-box;
}

button.arrow_down,
button.arrow_up {
    padding: 0;
    background: transparent;
    color: #000;
    height: 13px;
    width: 15px;
    transition: all ease .1s;
}

button.arrow_down span,
button.arrow_up span {
    font-size: 16px;
}

button.arrow_down:hover,
button.arrow_up:hover {
    opacity: .35;
}

select[disabled] {
    opacity: .5;
}









.pp_menu {
    width: auto;
    display: inline-block;
    font-size: 11px;
    position: absolute;
    z-index: 99;
    border-radius: 0 3px 3px 3px;
    background: transparent;
    padding: 8px;
    margin: -20px 0 0 -20px;
    opacity: 0;

}

.pp_menu ul {
    margin: 0;
    padding: 0;
    list-style: none;
    background: #fff;
    box-shadow: 0 2px 2px rgb(0 0 0 / 25%);
    border-radius: 3px;
}

.pp_menu ul li:hover {
    background-color: #24befc17;
}

.pp_menu ul li {
    padding: 7px 11px 7px 33px;
    transition: all ease .15s;
    cursor: pointer;
    line-height: 17px;
    position: relative;
}

.pp_menu ul li.contextBorder {
    border-bottom: 1px solid #ececec;
}

.pp_menu span {
    font-size: 18px;
    margin-right: 6px;
    position: relative;
    top: 5px;
    opacity: .7;
    position: absolute;
    left: 7px;
}

svg {
    user-select: none !important;
}

svg.selected {
    opacity: .99;
}

svg:hover:not(.selected) {
    opacity: 1;
}

svg.selected rect[fill="transparent"],
svg.selected rect[fill="#f8fcff"],
svg.selected rect[fill="rgb(109, 207, 246, 0.7)"],
svg.selected rect[fill="rgb(191, 223, 186, 0.7)"],
svg.selected rect[fill="rgb(253, 111, 111, 0.75"],
svg.selected rect[fill="rgb(253, 111, 111, 0.75)"],
svg.selected rect[fill="rgb(255, 107, 226, 0.6)"],
svg.selected rect[fill="rgb(207, 160, 232, 0.5)"],
svg.selected rect[fill="rgb(255, 247, 138, 0.7)"],
svg.selected rect[fill="rgb(255, 183, 135, 0.7)"],
.activiti_color:hover,.activiti_color:active {
    opacity: 1 !important;
    fill: rgb(39 162 255 / 58%);
}


svg[name="day"]:hover {
    opacity: .5;
}


.edit_popup button,
.user_calendar_navi button{
    box-shadow: 0 0 0 0 #0000;
}

.user_calendar_navi_bottom {
    visibility: hidden;
    height: 1px;
}

.MuiFormGroup-root[aria-label="object_selection"] {
    flex-direction: row !important;
}

.MuiFormGroup-root[aria-label="object_selection"] .PrivateSwitchBase-root-182 {
    padding: 0;
}

.MuiFormGroup-root[aria-label="object_selection"] .MuiSvgIcon-root {
    font-size: 1.6rem;
}

.MuiFormGroup-root[aria-label="object_selection"] .MuiTypography-body1 {
    font-size: 11px;
    font-weight: 500;
    padding-left: 4px;
}

.MuiFormGroup-root[aria-label="object_selection"] .MuiFormControlLabel-root {
    margin: 0
}

.user_year label {}

.setting .MuiListItem-gutters {
    padding-left: 0;
}

.setting .makeStyles-root-150 {
    min-width: 210px;
}

button.settOpen {
    background-color: #679c7a !important;
    transition: all ease .1s;
}

.user_top_navi select {
    min-width: 175px;
}
.user_top_navi button .MuiButton-label {
    font-size: 11px !important;
}

.user_top_navi button:not(.arrow_up):not(.arrow_down):hover{
    background-color: #679c7a !important;
    border-color: #679c7a !important;
}

.user_top_navi button#btnSetChange{
    background-color: #679c7a !important;
}
.user_top_navi button#btnSetChange:hover{
    background-color: #82ca9c !important;
}

.user_top_navi button:not(.arrow_up):not(.arrow_down):hover .MuiButton-label{
    color: #fff;
}

#year_calendar .MuiCardContent-root {
    padding: 14px 1px;
    overflow-x: auto;
    overflow-y: hidden;
}

.grid-main {
    display: grid;
    grid-template-columns: 33px 1fr;
    grid-template-rows: auto 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "g_empty day-name"
        "mont-name days-generate";
}

.certificate {
    transition: opacity 0.2s ease;
}
.g_empty {
    grid-area: g_empty;
    box-shadow: -1px 0px 0 0 #0000001f, 0px -1px 0 0 #0000001f;
}

.day-name {
    grid-area: day-name;
    display: grid;
    grid-template-columns: repeat(37, 2.702%);
    grid-template-rows: auto;
    box-shadow: inset -1px 0px 0 0 #0000001f, inset 0px 0px 0 0 #0000001f;
}

.mont-name {
    grid-area: mont-name;
    border-bottom: 1px solid #e0e0e0;
    box-shadow: inset 0px 0px 0 0 #0000001f;
}

.days-generate {
    grid-area: days-generate;
}

.mont-name div {
    height: 57px;
}

.mont-name div {
    font-size: .75em;
    min-height: 22px;
    text-align: left;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 0 5px;
}

.weekend {
    background: #f8fcff;
}

button#btnCancelChange {
    color: #121212;
}

@media screen and (max-width: 1600px) {

    .dayName,
    .mont-name div {
        font-size: .65em;
    }

    text.day-num {
        font-size: 9px;
    }

    svg.actionCode text {
        font-size: 10px;
    }
}

@media screen and (max-width: 1400px) {

    .dayName,
    .mont-name div {
        font-size: .60em;
    }

    text.day-num {
        font-size: .60em;
    }
}



.MuiFormGroup-root.radio-select {
    display: grid !important;
    grid-template-columns: auto auto !important;
    grid-template-rows: 1fr;
    gap: 10px;
    grid-template-areas: ". .";
}

.MuiFormGroup-root.radio-selects>div {
    grid-template-columns: auto 1fr !important;
}

.if_driver,
.if_vehicle {
    display: grid !important;
    grid-template-columns: auto 1fr;
    grid-template-rows: 1fr;
    gap: 10px;
    grid-template-areas: ". .";
}

.select2.disabled>div>div span {
    display: none;
}

.select2.disabled>div {
    background: #fff;
    opacity: .5;
    height: 30px;
    min-height: unset;
}

.user_top_navi .select2 {
    font-size: 11px;
}

button.look_wz {
    color: #679c7a;
    height: auto;
    padding: 0;
    margin: 0;
    font-weight: 500;
    font-family: Roboto, Helvetica Neue, Arial, sans-serif;
    text-decoration: underline;
}

/* svg.day_box:hover > rect {
    fill: #e3f2fc;
    transition: all ease .25s;
} */
/* svg.day_box:active > rect {
    fill: #ceebff;
    transition: all ease .25s;
} */

svg.day_box[activity="no_data"]:hover>rect {
    fill: #27a2ff3d;
    transition: all cubic-bezier(0.18, 0.52, 0.6, 1.01) .2s;
}
.certificate:hover {
    transition: all ease .2s;
    opacity: .7;
    cursor: pointer;
}
.dayshover{
    cursor: pointer;
}